| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/event.h File Reference

Event system related helpers. More...

`#include "csextern.h"`
`#include "iutil/event.h"`
`#include "iutil/eventhandlers.h"`

Go to the source code of this file.

## Namespaces
namespace | CS
## Classes
class | csCommandEventHelper
| Helper class to conveniently deal with command events. More...
class | csInputEventHelper
| Helper class to conveniently pull generic data out of input events. More...
class | csJoystickEventHelper
| Helper class to conveniently deal with joystick events. More...
class | csKeyEventHelper
| Helper class to conveniently deal with keyboard events. More...
class | csMouseEventHelper
| Helper class to conveniently deal with mouse events. More...
## Functions
csHandlerID | CS::RegisterWeakListener (iEventQueue *q, iEventHandler *listener, csRef< iEventHandler > &handler)
| Helper function for registering an event handler using a weak reference.
void | CS::RemoveWeakListener (iEventQueue *q, csRef< iEventHandler > &handler)
| Helper function for removing an event handler that was registered with RegisterWeakListener().

## Detailed Description

Event system related helpers.

Definition in file event.h.